# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: DeviceService.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='DeviceService.proto',
  package='sila2.biovt.mw.tum.de.examples.deviceservice.v1',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x13\x44\x65viceService.proto\x12/sila2.biovt.mw.tum.de.examples.deviceservice.v1\x1a\x13SiLAFramework.proto\"$\n\"GetIdentificationString_Parameters\"h\n!GetIdentificationString_Responses\x12\x43\n\x1b\x43urrentIdentificationString\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\"\n GetPrimaryNodeAddress_Parameters\"d\n\x1fGetPrimaryNodeAddress_Responses\x12\x41\n\x19\x43urrentPrimaryNodeAddress\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"a\n SetPrimaryNodeAddress_Parameters\x12=\n\x15SetPrimaryNodeAddress\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x88\x01\n\x1fSetPrimaryNodeAddress_Responses\x12.\n\x06Status\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\x12\x35\n\rIndexPointing\x18\x02 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"$\n\"GetSecondaryNodeAddress_Parameters\"h\n!GetSecondaryNodeAddress_Responses\x12\x43\n\x1b\x43urrentSecondaryNodeAddress\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x1f\n\x1dGetNextNodeAddress_Parameters\"^\n\x1cGetNextNodeAddress_Responses\x12>\n\x16\x43urrentNextNodeAddress\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x1f\n\x1dGetLastNodeAddress_Parameters\"^\n\x1cGetLastNodeAddress_Responses\x12>\n\x16\x43urrentLastNodeAddress\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x1a\n\x18GetSensorType_Parameters\"T\n\x17GetSensorType_Responses\x12\x39\n\x11\x43urrentSensorType\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\" \n\x1eGetAlarmInformation_Parameters\"`\n\x1dGetAlarmInformation_Responses\x12?\n\x17\x43urrentAlarmInformation\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x1a\n\x18GetDeviceType_Parameters\"T\n\x17GetDeviceType_Responses\x12\x39\n\x11\x43urrentDeviceType\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x1f\n\x1dGetFirmwareVersion_Parameters\"^\n\x1cGetFirmwareVersion_Responses\x12>\n\x16\x43urrentFirmwareVersion\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\"\n GetPressureSensorType_Parameters\"d\n\x1fGetPressureSensorType_Responses\x12\x41\n\x19\x43urrentPressureSensorType\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x1a\n\x18GetSensorName_Parameters\"T\n\x17GetSensorName_Responses\x12\x39\n\x11\x43urrentSensorName\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"$\n\"GetIdentificationNumber_Parameters\"h\n!GetIdentificationNumber_Responses\x12\x43\n\x1b\x43urrentIdentificationNumber\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x19\n\x17GetPowerMode_Parameters\"R\n\x16GetPowerMode_Responses\x12\x38\n\x10\x43urrentPowerMode\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x1d\n\x1bGetBusDiagnostic_Parameters\"Z\n\x1aGetBusDiagnostic_Responses\x12<\n\x14\x43urrentBusDiagnostic\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x18\n\x16GetFieldbus_Parameters\"P\n\x15GetFieldbus_Responses\x12\x37\n\x0f\x43urrentFieldbus\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"$\n\"GetInstrumentProperties_Parameters\"h\n!GetInstrumentProperties_Responses\x12\x43\n\x1b\x43urrentInstrumentProperties\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"%\n#GetCommunicationProtocol_Parameters\"j\n\"GetCommunicationProtocol_Responses\x12\x44\n\x1c\x43urrentCommunicationProtocol\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"g\n#SetCommunicationProtocol_Parameters\x12@\n\x18SetCommunicationProtocol\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"$\n\"SetCommunicationProtocol_Responses\"\x1a\n\x18GetSerialPort_Parameters\"\x19\n\x17GetSerialPort_Responses\"Q\n\x18SetSerialPort_Parameters\x12\x35\n\rSetSerialPort\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x19\n\x17SetSerialPort_Responses2\xad\x1e\n\rDeviceService\x12\xc4\x01\n\x17GetIdentificationString\x12S.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetIdentificationString_Parameters\x1aR.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetIdentificationString_Responses\"\x00\x12\xbe\x01\n\x15GetPrimaryNodeAddress\x12Q.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPrimaryNodeAddress_Parameters\x1aP.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPrimaryNodeAddress_Responses\"\x00\x12\xbe\x01\n\x15SetPrimaryNodeAddress\x12Q.sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetPrimaryNodeAddress_Parameters\x1aP.sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetPrimaryNodeAddress_Responses\"\x00\x12\xc4\x01\n\x17GetSecondaryNodeAddress\x12S.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSecondaryNodeAddress_Parameters\x1aR.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSecondaryNodeAddress_Responses\"\x00\x12\xb5\x01\n\x12GetNextNodeAddress\x12N.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetNextNodeAddress_Parameters\x1aM.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetNextNodeAddress_Responses\"\x00\x12\xb5\x01\n\x12GetLastNodeAddress\x12N.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetLastNodeAddress_Parameters\x1aM.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetLastNodeAddress_Responses\"\x00\x12\xa6\x01\n\rGetSensorType\x12I.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSensorType_Parameters\x1aH.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSensorType_Responses\"\x00\x12\xb8\x01\n\x13GetAlarmInformation\x12O.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetAlarmInformation_Parameters\x1aN.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetAlarmInformation_Responses\"\x00\x12\xa6\x01\n\rGetDeviceType\x12I.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetDeviceType_Parameters\x1aH.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetDeviceType_Responses\"\x00\x12\xb5\x01\n\x12GetFirmwareVersion\x12N.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetFirmwareVersion_Parameters\x1aM.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetFirmwareVersion_Responses\"\x00\x12\xbe\x01\n\x15GetPressureSensorType\x12Q.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPressureSensorType_Parameters\x1aP.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPressureSensorType_Responses\"\x00\x12\xa6\x01\n\rGetSensorName\x12I.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSensorName_Parameters\x1aH.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSensorName_Responses\"\x00\x12\xc4\x01\n\x17GetIdentificationNumber\x12S.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetIdentificationNumber_Parameters\x1aR.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetIdentificationNumber_Responses\"\x00\x12\xa3\x01\n\x0cGetPowerMode\x12H.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPowerMode_Parameters\x1aG.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPowerMode_Responses\"\x00\x12\xaf\x01\n\x10GetBusDiagnostic\x12L.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetBusDiagnostic_Parameters\x1aK.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetBusDiagnostic_Responses\"\x00\x12\xa0\x01\n\x0bGetFieldbus\x12G.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetFieldbus_Parameters\x1a\x46.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetFieldbus_Responses\"\x00\x12\xc4\x01\n\x17GetInstrumentProperties\x12S.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetInstrumentProperties_Parameters\x1aR.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetInstrumentProperties_Responses\"\x00\x12\xc7\x01\n\x18GetCommunicationProtocol\x12T.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetCommunicationProtocol_Parameters\x1aS.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetCommunicationProtocol_Responses\"\x00\x12\xc7\x01\n\x18SetCommunicationProtocol\x12T.sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetCommunicationProtocol_Parameters\x1aS.sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetCommunicationProtocol_Responses\"\x00\x12\xa6\x01\n\rGetSerialPort\x12I.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSerialPort_Parameters\x1aH.sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSerialPort_Responses\"\x00\x12\xa6\x01\n\rSetSerialPort\x12I.sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetSerialPort_Parameters\x1aH.sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetSerialPort_Responses\"\x00\x62\x06proto3'
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_GETIDENTIFICATIONSTRING_PARAMETERS = _descriptor.Descriptor(
  name='GetIdentificationString_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetIdentificationString_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=93,
  serialized_end=129,
)


_GETIDENTIFICATIONSTRING_RESPONSES = _descriptor.Descriptor(
  name='GetIdentificationString_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetIdentificationString_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentIdentificationString', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetIdentificationString_Responses.CurrentIdentificationString', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=131,
  serialized_end=235,
)


_GETPRIMARYNODEADDRESS_PARAMETERS = _descriptor.Descriptor(
  name='GetPrimaryNodeAddress_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPrimaryNodeAddress_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=237,
  serialized_end=271,
)


_GETPRIMARYNODEADDRESS_RESPONSES = _descriptor.Descriptor(
  name='GetPrimaryNodeAddress_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPrimaryNodeAddress_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPrimaryNodeAddress', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPrimaryNodeAddress_Responses.CurrentPrimaryNodeAddress', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=273,
  serialized_end=373,
)


_SETPRIMARYNODEADDRESS_PARAMETERS = _descriptor.Descriptor(
  name='SetPrimaryNodeAddress_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetPrimaryNodeAddress_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetPrimaryNodeAddress', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetPrimaryNodeAddress_Parameters.SetPrimaryNodeAddress', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=375,
  serialized_end=472,
)


_SETPRIMARYNODEADDRESS_RESPONSES = _descriptor.Descriptor(
  name='SetPrimaryNodeAddress_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetPrimaryNodeAddress_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='Status', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetPrimaryNodeAddress_Responses.Status', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='IndexPointing', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetPrimaryNodeAddress_Responses.IndexPointing', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=475,
  serialized_end=611,
)


_GETSECONDARYNODEADDRESS_PARAMETERS = _descriptor.Descriptor(
  name='GetSecondaryNodeAddress_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSecondaryNodeAddress_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=613,
  serialized_end=649,
)


_GETSECONDARYNODEADDRESS_RESPONSES = _descriptor.Descriptor(
  name='GetSecondaryNodeAddress_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSecondaryNodeAddress_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentSecondaryNodeAddress', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSecondaryNodeAddress_Responses.CurrentSecondaryNodeAddress', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=651,
  serialized_end=755,
)


_GETNEXTNODEADDRESS_PARAMETERS = _descriptor.Descriptor(
  name='GetNextNodeAddress_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetNextNodeAddress_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=757,
  serialized_end=788,
)


_GETNEXTNODEADDRESS_RESPONSES = _descriptor.Descriptor(
  name='GetNextNodeAddress_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetNextNodeAddress_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentNextNodeAddress', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetNextNodeAddress_Responses.CurrentNextNodeAddress', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=790,
  serialized_end=884,
)


_GETLASTNODEADDRESS_PARAMETERS = _descriptor.Descriptor(
  name='GetLastNodeAddress_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetLastNodeAddress_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=886,
  serialized_end=917,
)


_GETLASTNODEADDRESS_RESPONSES = _descriptor.Descriptor(
  name='GetLastNodeAddress_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetLastNodeAddress_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentLastNodeAddress', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetLastNodeAddress_Responses.CurrentLastNodeAddress', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=919,
  serialized_end=1013,
)


_GETSENSORTYPE_PARAMETERS = _descriptor.Descriptor(
  name='GetSensorType_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSensorType_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1015,
  serialized_end=1041,
)


_GETSENSORTYPE_RESPONSES = _descriptor.Descriptor(
  name='GetSensorType_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSensorType_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentSensorType', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSensorType_Responses.CurrentSensorType', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1043,
  serialized_end=1127,
)


_GETALARMINFORMATION_PARAMETERS = _descriptor.Descriptor(
  name='GetAlarmInformation_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetAlarmInformation_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1129,
  serialized_end=1161,
)


_GETALARMINFORMATION_RESPONSES = _descriptor.Descriptor(
  name='GetAlarmInformation_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetAlarmInformation_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAlarmInformation', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetAlarmInformation_Responses.CurrentAlarmInformation', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1163,
  serialized_end=1259,
)


_GETDEVICETYPE_PARAMETERS = _descriptor.Descriptor(
  name='GetDeviceType_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetDeviceType_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1261,
  serialized_end=1287,
)


_GETDEVICETYPE_RESPONSES = _descriptor.Descriptor(
  name='GetDeviceType_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetDeviceType_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentDeviceType', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetDeviceType_Responses.CurrentDeviceType', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1289,
  serialized_end=1373,
)


_GETFIRMWAREVERSION_PARAMETERS = _descriptor.Descriptor(
  name='GetFirmwareVersion_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetFirmwareVersion_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1375,
  serialized_end=1406,
)


_GETFIRMWAREVERSION_RESPONSES = _descriptor.Descriptor(
  name='GetFirmwareVersion_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetFirmwareVersion_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentFirmwareVersion', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetFirmwareVersion_Responses.CurrentFirmwareVersion', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1408,
  serialized_end=1502,
)


_GETPRESSURESENSORTYPE_PARAMETERS = _descriptor.Descriptor(
  name='GetPressureSensorType_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPressureSensorType_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1504,
  serialized_end=1538,
)


_GETPRESSURESENSORTYPE_RESPONSES = _descriptor.Descriptor(
  name='GetPressureSensorType_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPressureSensorType_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPressureSensorType', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPressureSensorType_Responses.CurrentPressureSensorType', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1540,
  serialized_end=1640,
)


_GETSENSORNAME_PARAMETERS = _descriptor.Descriptor(
  name='GetSensorName_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSensorName_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1642,
  serialized_end=1668,
)


_GETSENSORNAME_RESPONSES = _descriptor.Descriptor(
  name='GetSensorName_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSensorName_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentSensorName', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSensorName_Responses.CurrentSensorName', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1670,
  serialized_end=1754,
)


_GETIDENTIFICATIONNUMBER_PARAMETERS = _descriptor.Descriptor(
  name='GetIdentificationNumber_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetIdentificationNumber_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1756,
  serialized_end=1792,
)


_GETIDENTIFICATIONNUMBER_RESPONSES = _descriptor.Descriptor(
  name='GetIdentificationNumber_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetIdentificationNumber_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentIdentificationNumber', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetIdentificationNumber_Responses.CurrentIdentificationNumber', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1794,
  serialized_end=1898,
)


_GETPOWERMODE_PARAMETERS = _descriptor.Descriptor(
  name='GetPowerMode_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPowerMode_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1900,
  serialized_end=1925,
)


_GETPOWERMODE_RESPONSES = _descriptor.Descriptor(
  name='GetPowerMode_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPowerMode_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPowerMode', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPowerMode_Responses.CurrentPowerMode', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1927,
  serialized_end=2009,
)


_GETBUSDIAGNOSTIC_PARAMETERS = _descriptor.Descriptor(
  name='GetBusDiagnostic_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetBusDiagnostic_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2011,
  serialized_end=2040,
)


_GETBUSDIAGNOSTIC_RESPONSES = _descriptor.Descriptor(
  name='GetBusDiagnostic_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetBusDiagnostic_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentBusDiagnostic', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetBusDiagnostic_Responses.CurrentBusDiagnostic', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2042,
  serialized_end=2132,
)


_GETFIELDBUS_PARAMETERS = _descriptor.Descriptor(
  name='GetFieldbus_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetFieldbus_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2134,
  serialized_end=2158,
)


_GETFIELDBUS_RESPONSES = _descriptor.Descriptor(
  name='GetFieldbus_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetFieldbus_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentFieldbus', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetFieldbus_Responses.CurrentFieldbus', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2160,
  serialized_end=2240,
)


_GETINSTRUMENTPROPERTIES_PARAMETERS = _descriptor.Descriptor(
  name='GetInstrumentProperties_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetInstrumentProperties_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2242,
  serialized_end=2278,
)


_GETINSTRUMENTPROPERTIES_RESPONSES = _descriptor.Descriptor(
  name='GetInstrumentProperties_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetInstrumentProperties_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentInstrumentProperties', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetInstrumentProperties_Responses.CurrentInstrumentProperties', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2280,
  serialized_end=2384,
)


_GETCOMMUNICATIONPROTOCOL_PARAMETERS = _descriptor.Descriptor(
  name='GetCommunicationProtocol_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetCommunicationProtocol_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2386,
  serialized_end=2423,
)


_GETCOMMUNICATIONPROTOCOL_RESPONSES = _descriptor.Descriptor(
  name='GetCommunicationProtocol_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetCommunicationProtocol_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentCommunicationProtocol', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetCommunicationProtocol_Responses.CurrentCommunicationProtocol', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2425,
  serialized_end=2531,
)


_SETCOMMUNICATIONPROTOCOL_PARAMETERS = _descriptor.Descriptor(
  name='SetCommunicationProtocol_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetCommunicationProtocol_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetCommunicationProtocol', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetCommunicationProtocol_Parameters.SetCommunicationProtocol', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2533,
  serialized_end=2636,
)


_SETCOMMUNICATIONPROTOCOL_RESPONSES = _descriptor.Descriptor(
  name='SetCommunicationProtocol_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetCommunicationProtocol_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2638,
  serialized_end=2674,
)


_GETSERIALPORT_PARAMETERS = _descriptor.Descriptor(
  name='GetSerialPort_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSerialPort_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2676,
  serialized_end=2702,
)


_GETSERIALPORT_RESPONSES = _descriptor.Descriptor(
  name='GetSerialPort_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSerialPort_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2704,
  serialized_end=2729,
)


_SETSERIALPORT_PARAMETERS = _descriptor.Descriptor(
  name='SetSerialPort_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetSerialPort_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetSerialPort', full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetSerialPort_Parameters.SetSerialPort', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2731,
  serialized_end=2812,
)


_SETSERIALPORT_RESPONSES = _descriptor.Descriptor(
  name='SetSerialPort_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetSerialPort_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2814,
  serialized_end=2839,
)

_GETIDENTIFICATIONSTRING_RESPONSES.fields_by_name['CurrentIdentificationString'].message_type = SiLAFramework__pb2._STRING
_GETPRIMARYNODEADDRESS_RESPONSES.fields_by_name['CurrentPrimaryNodeAddress'].message_type = SiLAFramework__pb2._STRING
_SETPRIMARYNODEADDRESS_PARAMETERS.fields_by_name['SetPrimaryNodeAddress'].message_type = SiLAFramework__pb2._STRING
_SETPRIMARYNODEADDRESS_RESPONSES.fields_by_name['Status'].message_type = SiLAFramework__pb2._STRING
_SETPRIMARYNODEADDRESS_RESPONSES.fields_by_name['IndexPointing'].message_type = SiLAFramework__pb2._STRING
_GETSECONDARYNODEADDRESS_RESPONSES.fields_by_name['CurrentSecondaryNodeAddress'].message_type = SiLAFramework__pb2._STRING
_GETNEXTNODEADDRESS_RESPONSES.fields_by_name['CurrentNextNodeAddress'].message_type = SiLAFramework__pb2._STRING
_GETLASTNODEADDRESS_RESPONSES.fields_by_name['CurrentLastNodeAddress'].message_type = SiLAFramework__pb2._STRING
_GETSENSORTYPE_RESPONSES.fields_by_name['CurrentSensorType'].message_type = SiLAFramework__pb2._STRING
_GETALARMINFORMATION_RESPONSES.fields_by_name['CurrentAlarmInformation'].message_type = SiLAFramework__pb2._STRING
_GETDEVICETYPE_RESPONSES.fields_by_name['CurrentDeviceType'].message_type = SiLAFramework__pb2._STRING
_GETFIRMWAREVERSION_RESPONSES.fields_by_name['CurrentFirmwareVersion'].message_type = SiLAFramework__pb2._STRING
_GETPRESSURESENSORTYPE_RESPONSES.fields_by_name['CurrentPressureSensorType'].message_type = SiLAFramework__pb2._STRING
_GETSENSORNAME_RESPONSES.fields_by_name['CurrentSensorName'].message_type = SiLAFramework__pb2._STRING
_GETIDENTIFICATIONNUMBER_RESPONSES.fields_by_name['CurrentIdentificationNumber'].message_type = SiLAFramework__pb2._STRING
_GETPOWERMODE_RESPONSES.fields_by_name['CurrentPowerMode'].message_type = SiLAFramework__pb2._STRING
_GETBUSDIAGNOSTIC_RESPONSES.fields_by_name['CurrentBusDiagnostic'].message_type = SiLAFramework__pb2._STRING
_GETFIELDBUS_RESPONSES.fields_by_name['CurrentFieldbus'].message_type = SiLAFramework__pb2._STRING
_GETINSTRUMENTPROPERTIES_RESPONSES.fields_by_name['CurrentInstrumentProperties'].message_type = SiLAFramework__pb2._STRING
_GETCOMMUNICATIONPROTOCOL_RESPONSES.fields_by_name['CurrentCommunicationProtocol'].message_type = SiLAFramework__pb2._STRING
_SETCOMMUNICATIONPROTOCOL_PARAMETERS.fields_by_name['SetCommunicationProtocol'].message_type = SiLAFramework__pb2._STRING
_SETSERIALPORT_PARAMETERS.fields_by_name['SetSerialPort'].message_type = SiLAFramework__pb2._STRING
DESCRIPTOR.message_types_by_name['GetIdentificationString_Parameters'] = _GETIDENTIFICATIONSTRING_PARAMETERS
DESCRIPTOR.message_types_by_name['GetIdentificationString_Responses'] = _GETIDENTIFICATIONSTRING_RESPONSES
DESCRIPTOR.message_types_by_name['GetPrimaryNodeAddress_Parameters'] = _GETPRIMARYNODEADDRESS_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPrimaryNodeAddress_Responses'] = _GETPRIMARYNODEADDRESS_RESPONSES
DESCRIPTOR.message_types_by_name['SetPrimaryNodeAddress_Parameters'] = _SETPRIMARYNODEADDRESS_PARAMETERS
DESCRIPTOR.message_types_by_name['SetPrimaryNodeAddress_Responses'] = _SETPRIMARYNODEADDRESS_RESPONSES
DESCRIPTOR.message_types_by_name['GetSecondaryNodeAddress_Parameters'] = _GETSECONDARYNODEADDRESS_PARAMETERS
DESCRIPTOR.message_types_by_name['GetSecondaryNodeAddress_Responses'] = _GETSECONDARYNODEADDRESS_RESPONSES
DESCRIPTOR.message_types_by_name['GetNextNodeAddress_Parameters'] = _GETNEXTNODEADDRESS_PARAMETERS
DESCRIPTOR.message_types_by_name['GetNextNodeAddress_Responses'] = _GETNEXTNODEADDRESS_RESPONSES
DESCRIPTOR.message_types_by_name['GetLastNodeAddress_Parameters'] = _GETLASTNODEADDRESS_PARAMETERS
DESCRIPTOR.message_types_by_name['GetLastNodeAddress_Responses'] = _GETLASTNODEADDRESS_RESPONSES
DESCRIPTOR.message_types_by_name['GetSensorType_Parameters'] = _GETSENSORTYPE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetSensorType_Responses'] = _GETSENSORTYPE_RESPONSES
DESCRIPTOR.message_types_by_name['GetAlarmInformation_Parameters'] = _GETALARMINFORMATION_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAlarmInformation_Responses'] = _GETALARMINFORMATION_RESPONSES
DESCRIPTOR.message_types_by_name['GetDeviceType_Parameters'] = _GETDEVICETYPE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetDeviceType_Responses'] = _GETDEVICETYPE_RESPONSES
DESCRIPTOR.message_types_by_name['GetFirmwareVersion_Parameters'] = _GETFIRMWAREVERSION_PARAMETERS
DESCRIPTOR.message_types_by_name['GetFirmwareVersion_Responses'] = _GETFIRMWAREVERSION_RESPONSES
DESCRIPTOR.message_types_by_name['GetPressureSensorType_Parameters'] = _GETPRESSURESENSORTYPE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPressureSensorType_Responses'] = _GETPRESSURESENSORTYPE_RESPONSES
DESCRIPTOR.message_types_by_name['GetSensorName_Parameters'] = _GETSENSORNAME_PARAMETERS
DESCRIPTOR.message_types_by_name['GetSensorName_Responses'] = _GETSENSORNAME_RESPONSES
DESCRIPTOR.message_types_by_name['GetIdentificationNumber_Parameters'] = _GETIDENTIFICATIONNUMBER_PARAMETERS
DESCRIPTOR.message_types_by_name['GetIdentificationNumber_Responses'] = _GETIDENTIFICATIONNUMBER_RESPONSES
DESCRIPTOR.message_types_by_name['GetPowerMode_Parameters'] = _GETPOWERMODE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPowerMode_Responses'] = _GETPOWERMODE_RESPONSES
DESCRIPTOR.message_types_by_name['GetBusDiagnostic_Parameters'] = _GETBUSDIAGNOSTIC_PARAMETERS
DESCRIPTOR.message_types_by_name['GetBusDiagnostic_Responses'] = _GETBUSDIAGNOSTIC_RESPONSES
DESCRIPTOR.message_types_by_name['GetFieldbus_Parameters'] = _GETFIELDBUS_PARAMETERS
DESCRIPTOR.message_types_by_name['GetFieldbus_Responses'] = _GETFIELDBUS_RESPONSES
DESCRIPTOR.message_types_by_name['GetInstrumentProperties_Parameters'] = _GETINSTRUMENTPROPERTIES_PARAMETERS
DESCRIPTOR.message_types_by_name['GetInstrumentProperties_Responses'] = _GETINSTRUMENTPROPERTIES_RESPONSES
DESCRIPTOR.message_types_by_name['GetCommunicationProtocol_Parameters'] = _GETCOMMUNICATIONPROTOCOL_PARAMETERS
DESCRIPTOR.message_types_by_name['GetCommunicationProtocol_Responses'] = _GETCOMMUNICATIONPROTOCOL_RESPONSES
DESCRIPTOR.message_types_by_name['SetCommunicationProtocol_Parameters'] = _SETCOMMUNICATIONPROTOCOL_PARAMETERS
DESCRIPTOR.message_types_by_name['SetCommunicationProtocol_Responses'] = _SETCOMMUNICATIONPROTOCOL_RESPONSES
DESCRIPTOR.message_types_by_name['GetSerialPort_Parameters'] = _GETSERIALPORT_PARAMETERS
DESCRIPTOR.message_types_by_name['GetSerialPort_Responses'] = _GETSERIALPORT_RESPONSES
DESCRIPTOR.message_types_by_name['SetSerialPort_Parameters'] = _SETSERIALPORT_PARAMETERS
DESCRIPTOR.message_types_by_name['SetSerialPort_Responses'] = _SETSERIALPORT_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

GetIdentificationString_Parameters = _reflection.GeneratedProtocolMessageType('GetIdentificationString_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETIDENTIFICATIONSTRING_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetIdentificationString_Parameters)
  })
_sym_db.RegisterMessage(GetIdentificationString_Parameters)

GetIdentificationString_Responses = _reflection.GeneratedProtocolMessageType('GetIdentificationString_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETIDENTIFICATIONSTRING_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetIdentificationString_Responses)
  })
_sym_db.RegisterMessage(GetIdentificationString_Responses)

GetPrimaryNodeAddress_Parameters = _reflection.GeneratedProtocolMessageType('GetPrimaryNodeAddress_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPRIMARYNODEADDRESS_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPrimaryNodeAddress_Parameters)
  })
_sym_db.RegisterMessage(GetPrimaryNodeAddress_Parameters)

GetPrimaryNodeAddress_Responses = _reflection.GeneratedProtocolMessageType('GetPrimaryNodeAddress_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPRIMARYNODEADDRESS_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPrimaryNodeAddress_Responses)
  })
_sym_db.RegisterMessage(GetPrimaryNodeAddress_Responses)

SetPrimaryNodeAddress_Parameters = _reflection.GeneratedProtocolMessageType('SetPrimaryNodeAddress_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETPRIMARYNODEADDRESS_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetPrimaryNodeAddress_Parameters)
  })
_sym_db.RegisterMessage(SetPrimaryNodeAddress_Parameters)

SetPrimaryNodeAddress_Responses = _reflection.GeneratedProtocolMessageType('SetPrimaryNodeAddress_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETPRIMARYNODEADDRESS_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetPrimaryNodeAddress_Responses)
  })
_sym_db.RegisterMessage(SetPrimaryNodeAddress_Responses)

GetSecondaryNodeAddress_Parameters = _reflection.GeneratedProtocolMessageType('GetSecondaryNodeAddress_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSECONDARYNODEADDRESS_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSecondaryNodeAddress_Parameters)
  })
_sym_db.RegisterMessage(GetSecondaryNodeAddress_Parameters)

GetSecondaryNodeAddress_Responses = _reflection.GeneratedProtocolMessageType('GetSecondaryNodeAddress_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSECONDARYNODEADDRESS_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSecondaryNodeAddress_Responses)
  })
_sym_db.RegisterMessage(GetSecondaryNodeAddress_Responses)

GetNextNodeAddress_Parameters = _reflection.GeneratedProtocolMessageType('GetNextNodeAddress_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETNEXTNODEADDRESS_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetNextNodeAddress_Parameters)
  })
_sym_db.RegisterMessage(GetNextNodeAddress_Parameters)

GetNextNodeAddress_Responses = _reflection.GeneratedProtocolMessageType('GetNextNodeAddress_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETNEXTNODEADDRESS_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetNextNodeAddress_Responses)
  })
_sym_db.RegisterMessage(GetNextNodeAddress_Responses)

GetLastNodeAddress_Parameters = _reflection.GeneratedProtocolMessageType('GetLastNodeAddress_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETLASTNODEADDRESS_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetLastNodeAddress_Parameters)
  })
_sym_db.RegisterMessage(GetLastNodeAddress_Parameters)

GetLastNodeAddress_Responses = _reflection.GeneratedProtocolMessageType('GetLastNodeAddress_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETLASTNODEADDRESS_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetLastNodeAddress_Responses)
  })
_sym_db.RegisterMessage(GetLastNodeAddress_Responses)

GetSensorType_Parameters = _reflection.GeneratedProtocolMessageType('GetSensorType_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSENSORTYPE_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSensorType_Parameters)
  })
_sym_db.RegisterMessage(GetSensorType_Parameters)

GetSensorType_Responses = _reflection.GeneratedProtocolMessageType('GetSensorType_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSENSORTYPE_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSensorType_Responses)
  })
_sym_db.RegisterMessage(GetSensorType_Responses)

GetAlarmInformation_Parameters = _reflection.GeneratedProtocolMessageType('GetAlarmInformation_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMINFORMATION_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetAlarmInformation_Parameters)
  })
_sym_db.RegisterMessage(GetAlarmInformation_Parameters)

GetAlarmInformation_Responses = _reflection.GeneratedProtocolMessageType('GetAlarmInformation_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMINFORMATION_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetAlarmInformation_Responses)
  })
_sym_db.RegisterMessage(GetAlarmInformation_Responses)

GetDeviceType_Parameters = _reflection.GeneratedProtocolMessageType('GetDeviceType_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETDEVICETYPE_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetDeviceType_Parameters)
  })
_sym_db.RegisterMessage(GetDeviceType_Parameters)

GetDeviceType_Responses = _reflection.GeneratedProtocolMessageType('GetDeviceType_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETDEVICETYPE_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetDeviceType_Responses)
  })
_sym_db.RegisterMessage(GetDeviceType_Responses)

GetFirmwareVersion_Parameters = _reflection.GeneratedProtocolMessageType('GetFirmwareVersion_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETFIRMWAREVERSION_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetFirmwareVersion_Parameters)
  })
_sym_db.RegisterMessage(GetFirmwareVersion_Parameters)

GetFirmwareVersion_Responses = _reflection.GeneratedProtocolMessageType('GetFirmwareVersion_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETFIRMWAREVERSION_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetFirmwareVersion_Responses)
  })
_sym_db.RegisterMessage(GetFirmwareVersion_Responses)

GetPressureSensorType_Parameters = _reflection.GeneratedProtocolMessageType('GetPressureSensorType_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPRESSURESENSORTYPE_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPressureSensorType_Parameters)
  })
_sym_db.RegisterMessage(GetPressureSensorType_Parameters)

GetPressureSensorType_Responses = _reflection.GeneratedProtocolMessageType('GetPressureSensorType_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPRESSURESENSORTYPE_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPressureSensorType_Responses)
  })
_sym_db.RegisterMessage(GetPressureSensorType_Responses)

GetSensorName_Parameters = _reflection.GeneratedProtocolMessageType('GetSensorName_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSENSORNAME_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSensorName_Parameters)
  })
_sym_db.RegisterMessage(GetSensorName_Parameters)

GetSensorName_Responses = _reflection.GeneratedProtocolMessageType('GetSensorName_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSENSORNAME_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSensorName_Responses)
  })
_sym_db.RegisterMessage(GetSensorName_Responses)

GetIdentificationNumber_Parameters = _reflection.GeneratedProtocolMessageType('GetIdentificationNumber_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETIDENTIFICATIONNUMBER_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetIdentificationNumber_Parameters)
  })
_sym_db.RegisterMessage(GetIdentificationNumber_Parameters)

GetIdentificationNumber_Responses = _reflection.GeneratedProtocolMessageType('GetIdentificationNumber_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETIDENTIFICATIONNUMBER_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetIdentificationNumber_Responses)
  })
_sym_db.RegisterMessage(GetIdentificationNumber_Responses)

GetPowerMode_Parameters = _reflection.GeneratedProtocolMessageType('GetPowerMode_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPOWERMODE_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPowerMode_Parameters)
  })
_sym_db.RegisterMessage(GetPowerMode_Parameters)

GetPowerMode_Responses = _reflection.GeneratedProtocolMessageType('GetPowerMode_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPOWERMODE_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetPowerMode_Responses)
  })
_sym_db.RegisterMessage(GetPowerMode_Responses)

GetBusDiagnostic_Parameters = _reflection.GeneratedProtocolMessageType('GetBusDiagnostic_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETBUSDIAGNOSTIC_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetBusDiagnostic_Parameters)
  })
_sym_db.RegisterMessage(GetBusDiagnostic_Parameters)

GetBusDiagnostic_Responses = _reflection.GeneratedProtocolMessageType('GetBusDiagnostic_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETBUSDIAGNOSTIC_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetBusDiagnostic_Responses)
  })
_sym_db.RegisterMessage(GetBusDiagnostic_Responses)

GetFieldbus_Parameters = _reflection.GeneratedProtocolMessageType('GetFieldbus_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETFIELDBUS_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetFieldbus_Parameters)
  })
_sym_db.RegisterMessage(GetFieldbus_Parameters)

GetFieldbus_Responses = _reflection.GeneratedProtocolMessageType('GetFieldbus_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETFIELDBUS_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetFieldbus_Responses)
  })
_sym_db.RegisterMessage(GetFieldbus_Responses)

GetInstrumentProperties_Parameters = _reflection.GeneratedProtocolMessageType('GetInstrumentProperties_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETINSTRUMENTPROPERTIES_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetInstrumentProperties_Parameters)
  })
_sym_db.RegisterMessage(GetInstrumentProperties_Parameters)

GetInstrumentProperties_Responses = _reflection.GeneratedProtocolMessageType('GetInstrumentProperties_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETINSTRUMENTPROPERTIES_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetInstrumentProperties_Responses)
  })
_sym_db.RegisterMessage(GetInstrumentProperties_Responses)

GetCommunicationProtocol_Parameters = _reflection.GeneratedProtocolMessageType('GetCommunicationProtocol_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETCOMMUNICATIONPROTOCOL_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetCommunicationProtocol_Parameters)
  })
_sym_db.RegisterMessage(GetCommunicationProtocol_Parameters)

GetCommunicationProtocol_Responses = _reflection.GeneratedProtocolMessageType('GetCommunicationProtocol_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETCOMMUNICATIONPROTOCOL_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetCommunicationProtocol_Responses)
  })
_sym_db.RegisterMessage(GetCommunicationProtocol_Responses)

SetCommunicationProtocol_Parameters = _reflection.GeneratedProtocolMessageType('SetCommunicationProtocol_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETCOMMUNICATIONPROTOCOL_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetCommunicationProtocol_Parameters)
  })
_sym_db.RegisterMessage(SetCommunicationProtocol_Parameters)

SetCommunicationProtocol_Responses = _reflection.GeneratedProtocolMessageType('SetCommunicationProtocol_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETCOMMUNICATIONPROTOCOL_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetCommunicationProtocol_Responses)
  })
_sym_db.RegisterMessage(SetCommunicationProtocol_Responses)

GetSerialPort_Parameters = _reflection.GeneratedProtocolMessageType('GetSerialPort_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSERIALPORT_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSerialPort_Parameters)
  })
_sym_db.RegisterMessage(GetSerialPort_Parameters)

GetSerialPort_Responses = _reflection.GeneratedProtocolMessageType('GetSerialPort_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSERIALPORT_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.GetSerialPort_Responses)
  })
_sym_db.RegisterMessage(GetSerialPort_Responses)

SetSerialPort_Parameters = _reflection.GeneratedProtocolMessageType('SetSerialPort_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETSERIALPORT_PARAMETERS,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetSerialPort_Parameters)
  })
_sym_db.RegisterMessage(SetSerialPort_Parameters)

SetSerialPort_Responses = _reflection.GeneratedProtocolMessageType('SetSerialPort_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETSERIALPORT_RESPONSES,
  '__module__' : 'DeviceService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.deviceservice.v1.SetSerialPort_Responses)
  })
_sym_db.RegisterMessage(SetSerialPort_Responses)



_DEVICESERVICE = _descriptor.ServiceDescriptor(
  name='DeviceService',
  full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=2842,
  serialized_end=6727,
  methods=[
  _descriptor.MethodDescriptor(
    name='GetIdentificationString',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetIdentificationString',
    index=0,
    containing_service=None,
    input_type=_GETIDENTIFICATIONSTRING_PARAMETERS,
    output_type=_GETIDENTIFICATIONSTRING_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetPrimaryNodeAddress',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetPrimaryNodeAddress',
    index=1,
    containing_service=None,
    input_type=_GETPRIMARYNODEADDRESS_PARAMETERS,
    output_type=_GETPRIMARYNODEADDRESS_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetPrimaryNodeAddress',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.SetPrimaryNodeAddress',
    index=2,
    containing_service=None,
    input_type=_SETPRIMARYNODEADDRESS_PARAMETERS,
    output_type=_SETPRIMARYNODEADDRESS_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetSecondaryNodeAddress',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetSecondaryNodeAddress',
    index=3,
    containing_service=None,
    input_type=_GETSECONDARYNODEADDRESS_PARAMETERS,
    output_type=_GETSECONDARYNODEADDRESS_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetNextNodeAddress',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetNextNodeAddress',
    index=4,
    containing_service=None,
    input_type=_GETNEXTNODEADDRESS_PARAMETERS,
    output_type=_GETNEXTNODEADDRESS_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetLastNodeAddress',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetLastNodeAddress',
    index=5,
    containing_service=None,
    input_type=_GETLASTNODEADDRESS_PARAMETERS,
    output_type=_GETLASTNODEADDRESS_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetSensorType',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetSensorType',
    index=6,
    containing_service=None,
    input_type=_GETSENSORTYPE_PARAMETERS,
    output_type=_GETSENSORTYPE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetAlarmInformation',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetAlarmInformation',
    index=7,
    containing_service=None,
    input_type=_GETALARMINFORMATION_PARAMETERS,
    output_type=_GETALARMINFORMATION_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetDeviceType',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetDeviceType',
    index=8,
    containing_service=None,
    input_type=_GETDEVICETYPE_PARAMETERS,
    output_type=_GETDEVICETYPE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetFirmwareVersion',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetFirmwareVersion',
    index=9,
    containing_service=None,
    input_type=_GETFIRMWAREVERSION_PARAMETERS,
    output_type=_GETFIRMWAREVERSION_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetPressureSensorType',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetPressureSensorType',
    index=10,
    containing_service=None,
    input_type=_GETPRESSURESENSORTYPE_PARAMETERS,
    output_type=_GETPRESSURESENSORTYPE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetSensorName',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetSensorName',
    index=11,
    containing_service=None,
    input_type=_GETSENSORNAME_PARAMETERS,
    output_type=_GETSENSORNAME_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetIdentificationNumber',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetIdentificationNumber',
    index=12,
    containing_service=None,
    input_type=_GETIDENTIFICATIONNUMBER_PARAMETERS,
    output_type=_GETIDENTIFICATIONNUMBER_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetPowerMode',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetPowerMode',
    index=13,
    containing_service=None,
    input_type=_GETPOWERMODE_PARAMETERS,
    output_type=_GETPOWERMODE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetBusDiagnostic',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetBusDiagnostic',
    index=14,
    containing_service=None,
    input_type=_GETBUSDIAGNOSTIC_PARAMETERS,
    output_type=_GETBUSDIAGNOSTIC_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetFieldbus',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetFieldbus',
    index=15,
    containing_service=None,
    input_type=_GETFIELDBUS_PARAMETERS,
    output_type=_GETFIELDBUS_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetInstrumentProperties',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetInstrumentProperties',
    index=16,
    containing_service=None,
    input_type=_GETINSTRUMENTPROPERTIES_PARAMETERS,
    output_type=_GETINSTRUMENTPROPERTIES_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetCommunicationProtocol',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetCommunicationProtocol',
    index=17,
    containing_service=None,
    input_type=_GETCOMMUNICATIONPROTOCOL_PARAMETERS,
    output_type=_GETCOMMUNICATIONPROTOCOL_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetCommunicationProtocol',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.SetCommunicationProtocol',
    index=18,
    containing_service=None,
    input_type=_SETCOMMUNICATIONPROTOCOL_PARAMETERS,
    output_type=_SETCOMMUNICATIONPROTOCOL_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetSerialPort',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.GetSerialPort',
    index=19,
    containing_service=None,
    input_type=_GETSERIALPORT_PARAMETERS,
    output_type=_GETSERIALPORT_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetSerialPort',
    full_name='sila2.biovt.mw.tum.de.examples.deviceservice.v1.DeviceService.SetSerialPort',
    index=20,
    containing_service=None,
    input_type=_SETSERIALPORT_PARAMETERS,
    output_type=_SETSERIALPORT_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_DEVICESERVICE)

DESCRIPTOR.services_by_name['DeviceService'] = _DEVICESERVICE

# @@protoc_insertion_point(module_scope)
